{{/* Validate domain name */}}
{{- define "validateDomain" -}}
{{- $parts := splitList "." .Values.ingress.host -}}
{{- $baseHost := join "." (slice $parts 1 (len $parts)) -}}
{{- if ne $baseHost "ai-native.glm.ai" -}}
{{- fail "域名必须是ai-native.glm.ai的子域名" -}}
{{- end -}}
{{- end -}} 